%global livearches %{ix86} x86_64
%global kernel2627 0

Name: anaconda
Version: 11.4.0.82

%{?include_specopt}
%{?!entering_bash:         %global entering_bash 0}
%if %{entering_bash}
%global momorel 0.2
%else
%global momorel 16
%endif

Release: %{momorel}m%{?dist}
License: GPL
Summary: Graphical system installer
Group: Applications/System
Source0: anaconda-%{version}.tar.bz2
Source10: momonga.py
Patch1: anaconda-11.4.0.15-splittree.patch
Patch2: anaconda-11.4.0.82-upd-instroot.patch
Patch3: anaconda-10.1.0.2-reiser4.patch
Patch4: anaconda-11.4.0.82-momonga.patch
Patch5: anaconda-10.1.0.2-fix-isys.patch
Patch9: anaconda-10.1.0.2-fix-kbd.patch
Patch11: anaconda-11.2.0.24-no_checkdisc.patch
Patch12: anaconda-11.0.3.50-development-momonga3.patch
Patch13: anaconda-11.1.1.2-mkimage_i686.patch
Patch16: anaconda-11.2.0.66-livecdinst_icon.patch
Patch20: anaconda-11.4.0.82-fs-support.patch
Patch100: anaconda-10.1.0.2-colinux.patch
Patch101: anaconda-10.1.0.2-entering-bash.patch
Patch302: anaconda-11.4.0.15-arch.patch
Patch400: anaconda-11.2.0.40-lib64-path.patch
Patch401: anaconda-11.4.0.82-kernel2627.patch

%global dmver 1.02.17
%global gettextver 0.11
%global intltoolver 0.31.2
%global libdhcpver 1.99.8
%global libnlver 1.0
%global libselinuxver 1.6
%global mkinitrdver 5.1.2-1
%global pykickstartver 0.96
%global rpmpythonver 4.2
%global slangver 2.0.6
%global yumver 2.9.2
%global rhplver 0.170
%global partedver 1.8.1
%global syscfgdatever 1.9.0
%global pythonpyblockver 0.24
%global libbdevidver 5.1.2
%global rhpxlver 0.25
%global desktopfileutilsver 0.8
%global newtver 0.52.9


BuildRequires: audit-libs-devel
BuildRequires: booty
BuildRequires: bzip2-devel
BuildRequires: device-mapper-devel >= %{dmver}
BuildRequires: e2fsprogs-devel
BuildRequires: elfutils-devel
BuildRequires: gettext >= %{gettextver}
BuildRequires: gtk2-devel
BuildRequires: intltool >= %{intltoolver}
BuildRequires: isomd5sum-devel
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: libXxf86misc-devel
BuildRequires: libdhcp-devel >= %{libdhcpver}
BuildRequires: libnl-devel >= %{libnlver}
BuildRequires: libselinux-devel >= %{libselinuxver}
BuildRequires: libsepol-devel
BuildRequires: libxml2-python
BuildRequires: mkinitrd-devel >= %{mkinitrdver}
BuildRequires: newt-devel >= %{newtver}
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: pykickstart >= %{pykickstartver}
BuildRequires: python-devel
BuildRequires: python-urlgrabber
BuildRequires: rhpl
BuildRequires: rpm-python >= %{rpmpythonver}
BuildRequires: slang-devel >= %{slangver}
BuildRequires: xmlto
BuildRequires: yum >= %{yumver}
BuildRequires: zlib-devel
%ifarch %livearches
BuildRequires: desktop-file-utils
%endif
Requires: policycoreutils
Requires: rpm-python >= %{rpmpythonver}
Requires: comps-extras
Requires: rhpl >= %{rhplver}
Requires: booty
Requires: parted >= %{partedver}
Requires: pyparted >= %{partedver}
Requires: yum >= %{yumver}
Requires: libxml2-python
Requires: python-urlgrabber
Requires: system-logos
Requires: momonga-logos
Requires: momonga-images
Requires: pykickstart >= %{pykickstartver}
Requires: system-config-date >= %{syscfgdatever}
Requires: device-mapper >= %{dmver}
Requires: device-mapper-libs >= %{dmver}
Requires: dosfstools
Requires: e2fsprogs
%ifarch %{ix86} x86_64 ia64
Requires: dmidecode
%endif
Requires: python-iniparse
Requires: python-pyblock >= %{pythonpyblockver}
Requires: libbdevid >= %{libbdevidver}
Requires: libbdevid-python
Requires: audit-libs
Requires: libuser-python
Requires: newt-python
Requires: authconfig
Requires: gnome-python2-gtkhtml2
Requires: system-config-firewall
Requires: cryptsetup-luks
Requires: mdadm
Requires: lvm2
Requires: util-linux-ng
%ifnarch s390 s390x ppc64
Requires: rhpxl >= %{rhpxlver}
Requires: system-config-keyboard
%endif
PreReq: chkconfig
%ifarch %livearches
Requires: usermode
Requires: zenity
Requires(post): desktop-file-utils >= 0.8
Requires(postun): desktop-file-utils >= 0.8
%endif

Url: http://fedora.redhat.com/projects/anaconda-installer/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The anaconda package contains the program which was used to install your 
system.  These files are of little use on an already installed system.

%package runtime
Summary: Red Hat Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false
Requires: anaconda = %{version}-%{release}
Requires: libxml2-python, python, rpm-python >= 4.2, yum >= 3.0
Requires: createrepo >= 0.4.7, squashfs-tools, mkisofs
%ifarch %{ix86} x86_64
Requires: syslinux
Requires: makebootfat
Requires: device-mapper
%endif
%ifarch s390 s390x
Requires: openssh
%endif
Requires: xorg-x11-font-utils, netpbm-progs
Requires: busybox-anaconda
Requires: isomd5sum
Requires: yum-utils >= 1.1.11
Requires: util-linux

%description runtime
The anaconda-runtime package contains parts of the Red Hat Linux
installer which are needed for installing new systems. These files are
used to build Red Hat Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q
%patch1 -p1
%patch2 -p1 -b .upd-instroot

#Toriaezu (2008/01/08)
#%patch3 -p1
%patch4 -p1 -b .momonga
%patch5 -p1
%patch9 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1 -b .mkimage_i686
%patch16 -p1 -b .liveinst_icon
%patch20 -p1 -b .fs_support

%if %{entering_bash}
%patch100 -p1
%patch101 -p1
%endif
%patch302 -p1 -b .arch
%patch400 -p1 -b .lib64-path

%if %{kernel2627}
%patch401 -p1 -b .kernel2627
%endif

perl -p -i -e "s|reiserfs|reiserfs reiser4 nilfs2 btrfs|" scripts/mk-images*
perl -p -i -e "s|:reiserfs:|:reiserfs:reiser4:nilfs2:btrfs:|" loader2/loader.c

%ifarch i586
cp -f scripts/mk-images.x86 scripts/mk-images.i586
cp -f fonts/screenfont-i386.gz fonts/screenfont-i586.gz
%endif

%ifarch i686
cp -f scripts/mk-images.x86 scripts/mk-images.i686
cp -f fonts/screenfont-i386.gz fonts/screenfont-i686.gz
%endif

%build
%make depend
%make RPM_OPT_FLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

cp %{SOURCE10} %{buildroot}/usr/lib/anaconda/installclasses/

%ifarch %livearches
desktop-file-install --vendor="" --dir=$RPM_BUILD_ROOT/%{_datadir}/applications  $RPM_BUILD_ROOT/%{_datadir}/applications/liveinst.desktop
%endif

# fc3's anaconda is using /usr/lib
%ifarch i586
install -m 644 fonts/screenfont-i586.gz %{buildroot}/usr/lib/anaconda-runtime
%endif
%ifarch i686
install -m 644 fonts/screenfont-i686.gz %{buildroot}/usr/lib/anaconda-runtime
%endif

strip %{buildroot}/usr/lib/anaconda/*.so
rm -f %{buildroot}%{_datadir}/anaconda/pixmaps/about-to-install.png
rm -f %{buildroot}%{_datadir}/anaconda/pixmaps/done.png
rm -f %{buildroot}%{_datadir}/anaconda/pixmaps/upgrade.png

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%ifarch %livearches
%post
/usr/bin/update-desktop-database %{_datadir}/applications
%endif

%ifarch %livearches
%postun
/usr/bin/update-desktop-database %{_datadir}/applications
%endif


%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/mediacheck.txt
%doc docs/anaconda-release-notes.txt
%{_bindir}/mini-wm
%ifarch %{ix86} x86_64
%{_sbindir}/gptsync
%{_sbindir}/showpart
%endif
%{_sbindir}/anaconda
%{_datadir}/anaconda
%{_datadir}/locale/*/*/*
/usr/lib/anaconda
%ifarch %livearches
%{_bindir}/liveinst
%{_sbindir}/liveinst
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%{_sysconfdir}/security/console.apps/*
%{_datadir}/applications/*.desktop
%endif

%files runtime
%defattr(-,root,root)
%{_prefix}/lib/anaconda-runtime

%triggerun -- anaconda < 8.0-1
/sbin/chkconfig --del reconfig >/dev/null 2>&1 || :

%global date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Sun Sep 21 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (11.4.0.82-16m)
- modify spec
- modify mk-image.efi

* Sun Sep 21 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (11.4.0.82-15m)
- remove obsolated patch

* Sat Sep 13 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (11.4.0.82-14m)
- add patch401: anaconda-11.4.0.82-kernel2627.patch
  enabled by setting kernel2627 for 1 (default: 0)

* Wed Aug 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.4.0.82-13m)
- get rid of gtk2-common from upd-instroot.patch

* Sat Aug  9 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (11.4.0.82-12m)
- update upd-instroot patch

* Mon Jul 21 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.82-11m)
- remove unused code upd-instroot.patch
- update fs-support.patch

* Mon Jul 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.4.0.82-10m)
- revise upd-instroot for new fonts again

* Mon Jul 21 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.82-9m)
- update upd-instroot.patch
- update fs-support.patch

* Sun Jul 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.4.0.82-8m)
- update upd-instroot.patch for new fonts

* Fri Jul 18 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (11.4.0.82-7m)
- fix fsset.py Exception
- update anaconda-11.4.0.70-upd-instroot.patch

* Thu Jul 17 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (11.4.0.82-6m)
- initial any fs support

* Wed Jul 16 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (11.4.0.82-5m)
- Require squashfs-tools

* Mon Jun 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.82-4m)
- maybe use Momonga repos

* Tue May 20 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.82-3m)
- update config and Requires
- worked!

* Sat May 17 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.82-2m)
- update any config. but exception is generated still. 

* Sat May 10 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.82-1m)
- update 11.4.0.82

* Tue May  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.81-1m)
- update 11.4.0.81

* Thu May  1 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.4.0.75-2m)
- Newt changed what it wants as far as things being const or not in newt-0.52.9. *sigh*

* Wed Apr 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.75-1m)
- update 11.4.0.75

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.4.0.37-2m)
- rebuild against gcc43

* Sun Feb 24 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.37-1m)
- update 11.4.0.37

* Sun Feb 24 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (11.4.0.27-3m)
- add patch for gcc43 (backported from anaconda-11.4.0.37)

* Tue Jan 29 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.27-2m)
- remove Req: libdhcp-static 

* Mon Jan 28 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.27-1m)
- update 11.4.0.27

* Fri Jan 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.18-2m)
- BuildPreReq isomd5sum

* Fri Jan 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (11.4.0.18-1m)
- update 11.4.0.18

* Wed Oct  3 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (11.2.0.66-6m)
- add patch16

* Sun Aug  5 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (11.2.0.66-5m)
- add patch15 (modify blank label format ... konna patch de suman orz)

* Mon Jul  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.2.0.66-4m)
- update anaconda-11.2.0.66-upd-instroot.patch
-- add 'vnc' package

* Thu Jun 28 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (11.2.0.66-3m)
- add patch14

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.2.0.66-2m)
- good-bye cdrtools and welcome cdrkit

* Wed May 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.2.0.66-1m)
- update 11.2.0.66

* Fri May 18 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (11.2.0.58-1m)
- update 11.2.0.58

* Fri May 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.57-1m)
- update 11.1.1.57

* Sun Apr 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.54-1m)
- update 11.1.1.54

* Mon Apr  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.40-1m)
- update 11.1.1.40

* Thu Mar 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.39-1m)
- update 11.1.1.39

* Sun Mar  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.26-1m)
- Install dekita!

* Mon Feb 12 2007 Mitsuru Shimamura <smbd@momonga-liunx.org>
- (11.1.1.19-3m)
- clean up requires
- BuildPerReq, higher version of rhpl 

* Mon Feb 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.19-2m)
- It corresponded to "Rename Maturi"

* Mon Feb  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.19-1m)
- toriaezu

* Fri Jan 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.3-4m)
- support python-2.5

* Mon Dec 25 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.3-3m)
- support python-2.5

* Tue Dec 12 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.3-2m)
- add anaconda-11.1.1.3-no_remove_locales.patch
-- Thanks Dai san

* Wed Oct 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.1.3-1m)
- update 11.1.1.3

* Tue Aug  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-21m)
- add patch304(anaconda-11.0.5-no_remove_locales.patch)
-- fix Moji bake. dakedo, dasa dasa.

* Fri Aug  4 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-20m)
- unpatch patch301(anaconda-11.0.5-disp_LANG.patch)

* Thu Aug  3 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-19m)
- add patch301(anaconda-11.0.5-disp_LANG.patch)
- modefied anaconda-11.0.5-upd-instroot.patch
-- no remove libunicode-lite*

* Sun Jul 30 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (11.0.5-18m)
- add patch303(anaconda-11.0.5-gettext.patch)

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-17m)
- patch13(anaconda-11.0.5-mkimage_i686.patch)

* Sat Jul 29 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (11.0.5-16m)
- add patch302(anaconda-11.0.5-arch.patch)

* Sun Jul 16 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-15m)
- text installer use TERM=xterm
-- TERM=linux was character collapses

* Sun Jul  9 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-14m)
- M+1P+IPAG.ttf was added to upd-instroot.
-- use anaconda graphical installer.
-- M+2P+IPAG.ttf ha 'g' ga iya !

* Sun Jul  9 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-13m)
- M+2P+IPAG.ttf was added to upd-instroot.
-- use anaconda graphical installer.

* Fri Jul  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.0.5-12m)
- remove ipagp.ttf from upd-instroot (IPA P Gothic couldn't display some characters)
- make Resucue image

* Fri Jul  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.0.5-11m)
- add truetype-fonts-indic to upd-instroot

* Fri Jul  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-10m)
- fix anaconda-11.0.5-upd-instroot.patch

* Thu Jul  6 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-9m)
- downgrade 11.0.5

* Tue Jul  4 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.0.51-1m)
- update 11.1.0.51
- disable "gfs"

* Thu Jun 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.0.49-1m)
- add Patch13: anaconda-11.1.48-to_i686.patch
-- support i386/i586/i686

* Tue Jun 27 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.0.48-3m)
- add Patch13: anaconda-11.1.48-to_i686.patch
-- support i386/i586/i686

* Mon Jun 26 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.0.48-2m)
- move glib library /lib -> /usr/lib
-- update anaconda-11.1.48-upd-instroot.patch
- disable Patch6: anaconda-11.1.0.8-fix-locales2.patch
-- toriaezu

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.1.0.48-1m)
- update 11.1.0.48

* Thu Jun  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.0.5-8m)
- update anaconda-11.0.5-upd-instroot.patch

* Fri May 26 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-7m)
- change anaconda-11.0.5-upd-instroot.patch
-- add sqlite3 into stage2.img

* Sat May 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.0.5-6m)
- cancel anaconda-11.0.5-productivity-momonga3.patch

* Sat May 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.0.5-5m)
- modify "Office and Productivity" for engineering-and-scientific

* Sat May 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (11.0.5-4m)
- modify "Software Development" for KDE, XFCE and ruby

* Wed May 17 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-3m)
- disable mediacheck 

* Sun May 14 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-2m)
- create anaconda-11.0.5-momonga3.patch, not write /etc/sysconfig/i18n.

* Fri May 12 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (11.0.5-1m)
- update 11.0.5

* Wed Nov 2 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (10.1.0.2-25m)
- Patch300: uwabami-10.1.0.2-nishikihebi2.4.patch
- build against python-2.4
- rpm must be python-2.4 ready to build this package

* Tue Aug 30 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (10.1.0.2-24m)
- ppc support.

* Sat Apr 23 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-23m)
- colinux support, just started and doesn't work yet.

* Mon Apr 11 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-22m)
- fix loader2/kbd.c as well as isys.c

* Sun Apr 10 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-21m)
- fix po again, over and over... orz

* Sun Apr  3 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-20m)
- fix po again.

* Fri Apr 02 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-19m)
- revised fix-locales.patch.
- ja.po and anaconda.pot is fixed.
- lvm error is fixed partially.

* Thu Mar 24 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (10.1.0.2-18m)
- BuildPrereq: slang-devel >= 1.4.9-8m

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-17m)
- fix locale names.

* Tue Mar  8 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-16m)
  fix isys bug(keymap loading)

* Sat Mar  5 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-15m)
- split by 700MB.
- revised anaconda-10.1.0.2-momonga1.patch, not write /etc/sysconfig/i18n.

* Fri Mar  4 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-14m)
  add libaal-1.0.so* to upd-instroot

* Tue Mar  1 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-13m)
  use sazanami-gothic

* Sun Feb 20 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-12m)
- revised spec for i586/i686 support.

* Fri Feb 18 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-11m)
- revised spec so the static library avoid stack protection.
- nossp patch is no longer applied, because each diet libraries have
  same name as FC3's.

* Mon Feb 14 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-10m)
- revised upd-instroot.patch due to location of libattr.so.

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (10.1.0.2-9m)
- enable x86_64. toriaezu...

* Fri Jan 28 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-8m)
  support i686

* Tue Jan 25 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-7m)
  added /usr/X11R6/lib/libXfixes.so* to upd-instroot

* Sun Jan 23 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-6m)
- enable i586/i686.

* Thu Dec 16 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-5m)
  rebuild against kudzu-1.1.72

* Mon Dec 13 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-4m)
  added /usr/lib/libattr.so*
  support reiser4

* Tue Dec  7 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-3m)
  fix screenfont-i586
  require pyparted

* Fri Nov 26 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-2m)
  fix upd-instroot patch
  fix for xorg-x11

* Sat Nov  6 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-1m)
  update to 10.1.0.2

* Wed Nov  3 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.0-3m)
  __nonnull macro was emptied

* Wed Sep 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (10.0-2m)
- revised anaconda-10.0-nossp.patch

* Wed Sep 15 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.0-1m)
- imported from FC2

* Wed Sep 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (9.2-25m)
- requires pump-devel 0.8.20-2m or newer

* Thu Sep  9 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (9.2-24m)
- add patch202 for glibc-kernheaders

* Fri Aug 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (9.2-23m)
  applied rpm-4.3.x support patch.
  
* Fri Jul 30 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.2-22m)
- add patch5
- kde-desktop added into personal desktop class
- kde-software-development added into workstation class

* Thu Jul 29 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.2-21m)
- update Requires: rhpl >= 0.121-3m

* Sat Jul 24 2004 mutecat <mutecat@momonga-linux.org>
- (9.2-20m)
- revised anaconda-9.2-momonga5.patch

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-19m)
- update momonga-script patch

* Mon Jul 19 2004 mutecat <mutecat@momonga-linux.org>
- (9.2-18m)
- Red Hat -> Momonga shuusei.

* Sat Jul 17 2004 mutecat <mutecat@momonga-linux.org>
- (9.2-17m)
- add ppc patch.

* Mon Jul 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (kossori)
- move tools directory: comps.xml.momonga, mkmoiso.i586

* Sun Jul 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-16m)
- remove ruby-acl ruby-faq ruby-irc from comps.xml.momonga

* Sun Jul 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-15m)
- update mkmoiso.i586 script

* Sat Jul 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.2-14m)
- add comps.xml.momonga and mkmoiso.i586 script

* Thu Jul  8 2004 zunda <zunda at freeshell.org>
- (kossori)
- BuildPreReq: newt-devel, slang-devel

* Tue Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-13m)
- update new comps.xml.core

* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (9.2-12m)
- use sazanami instead of kochi

* Thu Jun 17 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.2-11m)
- change modutils-devel -> module-init-tools-devel

* Mon May 17 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-10m)
- revised momonga script patch to enable UTF-8 locales.

* Sun May 16 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-9m)
- revised dietlibc patch not to use embed slang-newt.

* Sat May 15 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-8m)
- revised momonga patch for terminfo.
- revised momonga script patch for jfs, reiserfs and xfs.

* Thu May  6 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-7m)
- redhat-config -> system-config.

* Sun May  2 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-6m)
- revised script patch.

* Sat May  1 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-5m)
- revised patch.

* Wed Apr 28 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-4m)
- revised momonga script patch.

* Mon Apr 26 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-3m)
- revised momonga patch.

* Thu Mar 11 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-1m)
- import from FC1.

* Tue Oct  8 2002 Jeremy Katz <katzj@redhat.com>
- back to mainstream rpm instead of rpm404

* Mon Sep  9 2002 Jeremy Katz <katzj@redhat.com>
- can't buildrequire dietlibc and kernel-pcmcia-cs since they don't always
  exist

* Wed Aug 21 2002 Jeremy Katz <katzj@redhat.com>
- added URL

* Thu May 23 2002 Jeremy Katz <katzj@redhat.com>
- add require and buildrequire on rhpl

* Tue Apr 02 2002 Michael Fulbright <msf@redhat.com>
- added some more docs

* Fri Feb 22 2002 Jeremy Katz <katzj@redhat.com>
- buildrequire kernel-pcmcia-cs as we've sucked the libs the loader needs 
  to there now

* Thu Feb 07 2002 Michael Fulbright <msf@redhat.com>
- goodbye reconfig

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com>
- update the BuildRequires a bit

* Fri Jan  4 2002 Jeremy Katz <katzj@redhat.com>
- ddcprobe is now done from kudzu

* Wed Jul 18 2001 Jeremy Katz <katzj@redhat.com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

